Thanks for the kind explanation.
I see and it looks ok to me.

On Sun, Sep 8, 2019 at 1:54 PM Hyukjin Kwon <gurwls223@gmail.com> wrote:
Thanks for checking it.

I think it's fine by two reasons below:

1. It has another condition for such cases - one year time range.
  Basically, such PRs have not been merged for one year, which I believe are not likely merged soon.
  The JIRA status will be updated when such PRs are merged anyway.

2. The JIRAs and PRs ideally should be updated. If the PR authors forgot to update affected versions,
    it could be a good ping to update the affected versions in its JIRA, which is a good practice I believe.

FWIW, currently setting 'in-Progress' doesn't properly work. It has been few months.
I raised this issue several times at http://apache-spark-developers-list.1001551.n3.nabble.com/In-Apache-Spark-JIRA-spark-dev-github-jira-sync-py-not-running-properly-td27077.html because
it blocked me to search JIRAs. I had to change my JQL to check JIRAs. It's still not being fixed. I don't know who to ask about this.

If this is not being fixed, we might not have to care about 'In-Progress' anymore.


2019년 9월 8일 (일) 오후 1:31, Takeshi Yamamuro <linguin.m.s@gmail.com>님이 작성:
Hi, Hyukjin,

I checked entries in the list and I found that some entries have 'In-Progress' in their status and have oepn prs (e.g., SPARK-25211).
We can also close these PRs according to the bulk close?
(But, we might need to check the corresponding PRs manually?)

Bests,
Takeshi


On Sun, Sep 8, 2019 at 12:15 PM Hyukjin Kwon <gurwls223@gmail.com> wrote:
HI all,

We have resolved JIRAs that targets EOL releases (up to Spark 2.2.x) in order to make it
the manageable size before.
Since Spark 2.3.4 will be EOL release, I plan to do this again roughly in a week. 

The JIRAs that has not been updated for the last year, and having affect version of EOL releases will be:
  - Resolved as 'Incomplete' status
  - Has a 'bulk-closed' label.

I plan to use this JQL
project = SPARK 
  AND status in (Open, "In Progress", Reopened)
  AND (
    affectedVersion = EMPTY OR
    NOT (affectedVersion in versionMatch("^3.*")
      OR affectedVersion in versionMatch("^2.4.*")
    )
  )
  AND updated <= -52w

You could click this link and check.

https://issues.apache.org/jira/issues/?jql=project%20%3D%20SPARK%20AND%20status%20in%20(Open%2C%20%22In%20Progress%22%2C%20Reopened)%20AND%20(affectedVersion%20%3D%20EMPTY%20OR%20NOT%20(affectedVersion%20in%20versionMatch(%22%5E3.*%22)%20OR%20affectedVersion%20in%20versionMatch(%22%5E2.4.*%22)))%20AND%20updated%20%3C%3D%20-52w

Please let me know if you guys have any concern or opinion on this.

Thanks.


--
---
Takeshi Yamamuro


--
---
Takeshi Yamamuro